module.exports = assureConnection

function assureConnection (state, next) {
  state.couch.request({
    path: ''
  }, function (error) {
    if (error) {
      state.log([state.name, 'bootstrap', 'warn'], error)
      state.log([state.name, 'bootstrap', 'info'], 'trying again in 3 seconds')
      setTimeout(assureConnection.bind(null, state, next), 3000)
      return
    }
    state.log([state.name, 'bootstrap', 'info'], 'successfully connected to ' + state.couch.config.url)
    next()
  })
}
